> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MMR history by name (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/mmr-history/{affinity}/{platform}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/mmr-history/{affinity}/{platform}/{name}/{tag}:
    get:
      tags:
        - valorant
      summary: Get MMR history by name (v2)
      operationId: get_mmr_history_v2_by_name
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: platform
          in: path
          description: Platform (pc, console)
          required: true
          schema:
            type: string
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
      responses:
        '200':
          description: MMR history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MMRHistoryV2Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    MMRHistoryV2Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/MMRHistoryV2Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    MMRHistoryV2Data:
      type: object
      required:
        - account
        - history
      properties:
        account:
          $ref: '#/components/schemas/MMRV3Account'
        history:
          type: array
          items:
            $ref: '#/components/schemas/MMRHistoryV2History'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    MMRV3Account:
      type: object
      required:
        - name
        - tag
        - puuid
      properties:
        name:
          type: string
        puuid:
          type: string
        tag:
          type: string
    MMRHistoryV2History:
      type: object
      required:
        - tier
        - match_id
        - map
        - season
        - rr
        - last_change
        - elo
        - refunded_rr
        - was_derank_protected
        - date
      properties:
        date:
          type: string
        elo:
          type: integer
          format: int32
        last_change:
          type: integer
          format: int32
        map:
          $ref: '#/components/schemas/MapIdNameCombo'
        match_id:
          type: string
        refunded_rr:
          type: integer
          format: int32
        rr:
          type: integer
          format: int32
        season:
          $ref: '#/components/schemas/SeasonIdShortCombo'
        tier:
          $ref: '#/components/schemas/TierIdNameCombo'
        was_derank_protected:
          type: boolean
    MapIdNameCombo:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    SeasonIdShortCombo:
      type: object
      required:
        - id
        - short
      properties:
        id:
          type: string
        short:
          type: string
    TierIdNameCombo:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string

````